BBM Now Runs on Android 2.3 (Gingerbread)

In one of my recent posts, I shared How to Install BBM on All Android Version Lower Than 4.0 and some of the people that followed the procedures I outlined testify it works.

What actually happen is that BBM only works on Android 4.0 or later when it was first launched. But in January, BlackBerry promises to release a BBM for Android that will supports Android 2.3 (Gingerbread) and Android 4.0 (Ice Cream Sandwich) or later. Thanks to BlackBerry for fulfilling their promise. BBM now works on Android 2.3.

You can get it on Google Play by clicking on the image below.

Get BBM on Google Play Store

If you now rock BBM on your Gingerbread handset, share the unique features that you find out via the comments section that can be found below.




[ssba]
Tags:,

Become a fan on Facebook and us on twitter for our new updates.

11 Comments

  1. Emmanuel
  2. daniel
  3. victor
  4. yinka
  5. nath
  6. Mark Odewole

Leave a Reply